
function [trans] = affinefeat(A,T);

% AFFINEFEAT  Performs affine transformation on image points 
%
% Description
% TRANS = AFFINEFEAT(A,T);
%   A is the feature point structure corresponding to the image
%   T is the transformation
%   TRANS - structure similar to A with transfomed feature points

% Authored January 2005 by Divyanshu Vats, modified by Vishal Monga
% Copyright (c) 1999-2004 The University of Texas
% All Rights Reserved.

a11 = T(1,1);
a12 = T(1,2);
a21 = T(2,1);
a22 = T(2,2);

x = a11*(A.x) + a21*(A.y);
y = a12*(A.x) + a22*(A.y);
dist = (x.^2 +y.^2).^(0.5);

trans.x = round(x);
trans.y = round(y);
