
function [trans] = affinefeatnot(A,T);

% AFFINEFEATNOT  Performs affine transformation on image points 
%
% Description
% TRANS = AFFINEFEATNOT(A,T);
%   A is the feature point structure corresponding to the image
%   T is the transformation
%   TRANS - structure similar to A with transfomed feature points
%           also returns changes in distance from the center due to 
%           scaling caused by T

% Authored January 2005 by Divyanshu Vats, modified by Vishal Monga
% Copyright (c) 1999-2004 The University of Texas
% All Rights Reserved.

a11 = T(1,1)/256;
a12 = T(1,2)/256;
a21 = T(2,1)/256;
a22 = T(2,2)/256;
t11 = T(3,1);
t12 = T(3,2);


x = a11*(A.x) + a21*(A.y)+t11;
y = a12*(A.x) + a22*(A.y)+t12;

% xmid = round(A.szx/2);
% ymid = round(A.szy/2);
% 
% xm1 = a11*(xmid) + a21*(ymid)+t11;
% ym1 = a12*(xmid) + a22*(ymid)+t12;
% 
% amtx = xm1 - xmid;
% amty = ym1 - ymid;
% 
% x = x - amtx;
% y = y - amty;
% 
% x = x - A.szx/2;
% y = y - A.szy/2;


% x = x + A.szx/2-85;
% y = y + A.szy/2-85;
% 
% x = x + 128;
% y = y + 128;

trans.x = round(x);
trans.y = round(y);
%trans.x = (x);
%trans.y = (y);