
function [join] = overlay(A,B);

% OVERLAY  Code overlays two images on top of each other
%
% Description
% [join] = overlay(A,B) Overlays two images on top of each other
% and creates a box around the feature points
% A is the original image
% B is the image with feature points (to be overlayed on top of A)
% A and B must have the same size

% Authored January 2005 by Divyanshu Vats, modified by Vishal Monga
% Copyright (c) 1999-2005 The University of Texas
% All Rights Reserved.


se1 = strel('square',2);
se2 = strel('square',5);
B1 = imerode(B,se1);
B2 = imerode(B,se2);
B1 = im2double(B1);
B2 = im2double(B2);
B3 = B2 - B1;
B3 = not(B3);

%[x y] = size(A);
%N = ones(x,y);
%N(1:512,1:512) = B3;

A1 = im2double(A(:,:,1));
%N = B3;
 join1 = A1.*B3;
 join(:,:,1) = im2uint8(join1);
% A1 = im2double(A(:,:,2));
% join1 = A1.*B3;
% join(:,:,2) = im2uint8(join1);
% A1 = im2double(A(:,:,3));
% join1 = A1.*B3;
% join(:,:,3) = im2uint8(join1);