
% RUNFPHASH  Runs feature point based hashing for two images to be
%            compared
%
% Description
%  Initiates calls to imagauth and featurepointhash

% Authored 2005 by Vishal Monga
% Copyright (c) 1999-2005 The University of Texas
% All Rights Reserved.

[img1 img2] = passImages(1);

dimn1 = size(img1)
dimn2 = size(img2)
 
if length(dimn1) > 2
img1 = rgb2gray(img1);    
end

if length(dimn2) > 2
img2 = rgb2gray(img2);    
end

[out, R, t] = imagauth(img2, img1);

if out < 0.2
disp('Generalized directed distance H_g(M,ToN)')
out   
disp('Verdict: Image and distorted version');
else 
disp('Generalized directed distance H_g(M,ToN)')
out   
disp('Verdict: Different Images');
end

figure;
subplot(1,2,1); imshow(img1); title('Reference Image');
subplot(1,2,2); imshow(img2); title('Query Image');

