

% RUNSVDHASH  Runs singular value decomposition (SVD) based hashing for 
%             two images to be compared
%
% Description
%  Initiates calls to HASHBYSVD and prompts user for hash parameters

% Authored 2005 by Vishal Monga
% Copyright (c) 1999-2005 The University of Texas
% All Rights Reserved.


[img1 img2] = passImages(1);

[numrects rectsiz] = getParamsSVD(1);
%numrects = 25;
%rectsiz = 100;
key = 101;

dimn1 = size(img1);
dimn2 = size(img2);
 
dim = dimn1(1); % optimize based on that assumption
 
if length(dimn1) > 2
img1 = rgb2gray(img1);    
img1 = imresize(img1, [dim dim]);
else
img1 = imresize(img1, [dim dim]);
end
 
if length(dimn2) > 2
img2 = rgb2gray(img2);    
img2 = imresize(img2, [dim dim]);
else
img2 = imresize(img2, [dim dim]);
end
 
hashVec1 = hashbySVD(double(img1), key, numrects, rectsiz);
hashVec2 = hashbySVD(double(img2), key, numrects, rectsiz);
 
v = (hashVec1 - hashVec2)/(2*sqrt(norm(hashVec1)*norm(hashVec2)));
 
%% Threshold
tau = 0.02;

if (norm(v) < tau)
norm(v)   
disp('Verdict: Image and distorted version');
else 
norm(v)   
disp('Verdict: Different Images');
end

figure; 
subplot(1,2,1); imshow(img1); title('Reference Image');
subplot(1,2,2); imshow(img2); title('Query Image');

