
% RUNDWTHASH  Runs Discrete Wavelet Transform (DWT) based hashing for 
%             two images to be compared
%
% Description
%  Initiates calls to WAVELETHASH and prompts user for hash parameters

% Authored 2005 by Vishal Monga
% Copyright (c) 1999-2005 The University of Texas
% All Rights Reserved.

[img1 img2] = passImages(1);

[wavelet delta level numrects] = getParamsDWT(1);
key = 101;

dimn1 = size(img1);
dimn2 = size(img2);
 
dim = dimn1(1); % optimize based on that assumption
 
if length(dimn1) > 2
img1 = rgb2gray(img1);    
img1 = imresize(img1, [dim dim]);
else
img1 = imresize(img1, [dim dim]);
end
 
if length(dimn2) > 2
img2 = rgb2gray(img2);    
img2 = imresize(img2, [dim dim]);
else
img2 = imresize(img2, [dim dim]);
end
 
hashVec1 = wavelethash(double(img1), wavelet, delta, key, level, numrects);
hashVec2 = wavelethash(double(img2), wavelet, delta, key, level, numrects);
 
v = (hashVec1 - hashVec2)/(2*sqrt(norm(hashVec1)*norm(hashVec2)));
 
%% Threshold
tau = 0.08;

if (norm(v) < tau)
norm(v)   
disp('Verdict: Image and distorted version');
else 
norm(v)   
disp('Verdict: Different Images');
end

figure; 
subplot(1,2,1); imshow(img1); title('Reference Image');
subplot(1,2,2); imshow(img2); title('Query Image');


